# Class AccessibilityNode

java.lang.Object
com.codename1.ui.accessibility.AccessibilityNode

public class AccessibilityNode extends Object

Mutable semantic configuration for a lightweight component or virtual child.

Component-owned nodes are obtained with `Component.getSemantics()`. Applications can create standalone nodes for an `AccessibilityChildProvider`; virtual nodes must have a stable `virtual key`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibilityNode()`
  `AccessibilityNode(Component owner)`
  Internal constructor used by `Component`.
  `AccessibilityNode(Component owner, String label)`
  Internal constructor used by `Component` to seed a node from the component's accessibility text.
  `AccessibilityNode(String virtualKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessibilityNode`
  `addAction(AccessibilityAction action)`
  `AccessibilityNode`
  `addChild(AccessibilityNode child)`
  `AccessibilityNode`
  `clearChildren()`
  `List<AccessibilityAction>`
  `getActions()`
  `Rectangle`
  `getBounds()`
  `Boolean`
  `getBusy()`
  `AccessibilityCheckedState`
  `getChecked()`
  `AccessibilityChildProvider`
  `getChildProvider()`
  `List<AccessibilityNode>`
  `getChildren()`
  `AccessibilityCollectionInfo`
  `getCollectionInfo()`
  `AccessibilityCollectionItemInfo`
  `getCollectionItemInfo()`
  `Boolean`
  `getCurrent()`
  `String`
  `getDescription()`
  `Boolean`
  `getEnabled()`
  `Boolean`
  `getExpanded()`
  `AccessibilityGrouping`
  `getGrouping()`
  `int`
  `getHeadingLevel()`
  `String`
  `getHint()`
  `String`
  `getIdentifier()`
  `Boolean`
  `getInvalid()`
  `String`
  `getLabel()`
  `AccessibilityLiveRegion`
  `getLiveRegion()`
  `Boolean`
  `getMultiline()`
  `Boolean`
  `getObscured()`
  `Component`
  `getOwner()`
  `String`
  `getPaneTitle()`
  `Boolean`
  `getPressed()`
  `AccessibilityRange`
  `getRange()`
  `Boolean`
  `getReadOnly()`
  `Boolean`
  `getRequired()`
  `AccessibilityRole`
  `getRole()`
  `String`
  `getRoleDescription()`
  `Boolean`
  `getSelected()`
  `double`
  `getSortKey()`
  `Component`
  `getTraversalAfter()`
  `Component`
  `getTraversalBefore()`
  `String`
  `getValidationError()`
  `String`
  `getValue()`
  `String`
  `getVirtualKey()`
  `boolean`
  `hasExplicitConfiguration()`
  `boolean`
  `isModal()`
  `AccessibilityNode`
  `removeAction(String id)`
  `AccessibilityNode`
  `setBounds(Rectangle bounds)`
  `AccessibilityNode`
  `setBusy(Boolean busy)`
  `AccessibilityNode`
  `setChecked(AccessibilityCheckedState checked)`
  `AccessibilityNode`
  `setChildProvider(AccessibilityChildProvider provider)`
  `AccessibilityNode`
  `setCollectionInfo(AccessibilityCollectionInfo info)`
  `AccessibilityNode`
  `setCollectionItemInfo(AccessibilityCollectionItemInfo info)`
  `AccessibilityNode`
  `setCurrent(Boolean current)`
  `AccessibilityNode`
  `setDescription(String description)`
  `AccessibilityNode`
  `setEnabled(Boolean enabled)`
  `AccessibilityNode`
  `setExpanded(Boolean expanded)`
  `AccessibilityNode`
  `setGrouping(AccessibilityGrouping grouping)`
  `AccessibilityNode`
  `setHeadingLevel(int level)`
  `AccessibilityNode`
  `setHint(String hint)`
  `AccessibilityNode`
  `setIdentifier(String identifier)`
  `AccessibilityNode`
  `setInvalid(Boolean invalid)`
  `AccessibilityNode`
  `setLabel(String label)`
  `AccessibilityNode`
  `setLiveRegion(AccessibilityLiveRegion liveRegion)`
  `AccessibilityNode`
  `setModal(boolean modal)`
  `AccessibilityNode`
  `setMultiline(Boolean multiline)`
  `AccessibilityNode`
  `setObscured(Boolean obscured)`
  `AccessibilityNode`
  `setPaneTitle(String paneTitle)`
  `AccessibilityNode`
  `setPressed(Boolean pressed)`
  `AccessibilityNode`
  `setRange(AccessibilityRange range)`
  `AccessibilityNode`
  `setReadOnly(Boolean readOnly)`
  `AccessibilityNode`
  `setRequired(Boolean required)`
  `AccessibilityNode`
  `setRole(AccessibilityRole role)`
  `AccessibilityNode`
  `setRoleDescription(String roleDescription)`
  `AccessibilityNode`
  `setSelected(Boolean selected)`
  `AccessibilityNode`
  `setSortKey(double sortKey)`
  `AccessibilityNode`
  `setTraversalAfter(Component component)`
  `AccessibilityNode`
  `setTraversalBefore(Component component)`
  `AccessibilityNode`
  `setValidationError(String error)`
  `AccessibilityNode`
  `setValue(String value)`
  `AccessibilityNode`
  `setVirtualKey(String virtualKey)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessibilityNode

    public AccessibilityNode()

  - ### AccessibilityNode

    public AccessibilityNode(String virtualKey)

  - ### AccessibilityNode

    public AccessibilityNode(Component owner)
    Internal constructor used by `Component`.

  - ### AccessibilityNode

    public AccessibilityNode(Component owner, String label)

    Internal constructor used by `Component` to seed a node from the component's accessibility text.

    The label is assigned directly rather than through `setLabel(String)` because this runs the first time anything reads the node -- typically the tree walk that is describing the component right now. Reporting it as a change would make describing a tree invalidate that same tree, so a refresh pass that re-posts itself whenever work is queued would never run out of work, and on a surface that keeps making components it would spin the event thread. Creating a node to read it is not news to whoever asked to read it.

- ## Method Details

  - ### getOwner

    public Component getOwner()

  - ### getVirtualKey

    public String getVirtualKey()

  - ### setVirtualKey

    public AccessibilityNode setVirtualKey(String virtualKey)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public AccessibilityNode setIdentifier(String identifier)

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public AccessibilityNode setLabel(String label)

  - ### getHint

    public String getHint()

  - ### setHint

    public AccessibilityNode setHint(String hint)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public AccessibilityNode setDescription(String description)

  - ### getValue

    public String getValue()

  - ### setValue

    public AccessibilityNode setValue(String value)

  - ### getValidationError

    public String getValidationError()

  - ### setValidationError

    public AccessibilityNode setValidationError(String error)

  - ### getPaneTitle

    public String getPaneTitle()

  - ### setPaneTitle

    public AccessibilityNode setPaneTitle(String paneTitle)

  - ### getRoleDescription

    public String getRoleDescription()

  - ### setRoleDescription

    public AccessibilityNode setRoleDescription(String roleDescription)

  - ### getRole

    public AccessibilityRole getRole()

  - ### setRole

    public AccessibilityNode setRole(AccessibilityRole role)

  - ### getChecked

    public AccessibilityCheckedState getChecked()

  - ### setChecked

    public AccessibilityNode setChecked(AccessibilityCheckedState checked)

  - ### getLiveRegion

    public AccessibilityLiveRegion getLiveRegion()

  - ### setLiveRegion

    public AccessibilityNode setLiveRegion(AccessibilityLiveRegion liveRegion)

  - ### getGrouping

    public AccessibilityGrouping getGrouping()

  - ### setGrouping

    public AccessibilityNode setGrouping(AccessibilityGrouping grouping)

  - ### getRange

    public AccessibilityRange getRange()

  - ### setRange

    public AccessibilityNode setRange(AccessibilityRange range)

  - ### getCollectionInfo

    public AccessibilityCollectionInfo getCollectionInfo()

  - ### setCollectionInfo

    public AccessibilityNode setCollectionInfo(AccessibilityCollectionInfo info)

  - ### getCollectionItemInfo

    public AccessibilityCollectionItemInfo getCollectionItemInfo()

  - ### setCollectionItemInfo

    public AccessibilityNode setCollectionItemInfo(AccessibilityCollectionItemInfo info)

  - ### getChildProvider

    public AccessibilityChildProvider getChildProvider()

  - ### setChildProvider

    public AccessibilityNode setChildProvider(AccessibilityChildProvider provider)

  - ### getBounds

    public Rectangle getBounds()

  - ### setBounds

    public AccessibilityNode setBounds(Rectangle bounds)

  - ### getSelected

    public Boolean getSelected()

  - ### setSelected

    public AccessibilityNode setSelected(Boolean selected)

  - ### getExpanded

    public Boolean getExpanded()

  - ### setExpanded

    public AccessibilityNode setExpanded(Boolean expanded)

  - ### getEnabled

    public Boolean getEnabled()

  - ### setEnabled

    public AccessibilityNode setEnabled(Boolean enabled)

  - ### getInvalid

    public Boolean getInvalid()

  - ### setInvalid

    public AccessibilityNode setInvalid(Boolean invalid)

  - ### getBusy

    public Boolean getBusy()

  - ### setBusy

    public AccessibilityNode setBusy(Boolean busy)

  - ### getReadOnly

    public Boolean getReadOnly()

  - ### setReadOnly

    public AccessibilityNode setReadOnly(Boolean readOnly)

  - ### getRequired

    public Boolean getRequired()

  - ### setRequired

    public AccessibilityNode setRequired(Boolean required)

  - ### getMultiline

    public Boolean getMultiline()

  - ### setMultiline

    public AccessibilityNode setMultiline(Boolean multiline)

  - ### getObscured

    public Boolean getObscured()

  - ### setObscured

    public AccessibilityNode setObscured(Boolean obscured)

  - ### getPressed

    public Boolean getPressed()

  - ### setPressed

    public AccessibilityNode setPressed(Boolean pressed)

  - ### getCurrent

    public Boolean getCurrent()

  - ### setCurrent

    public AccessibilityNode setCurrent(Boolean current)

  - ### isModal

    public boolean isModal()

  - ### setModal

    public AccessibilityNode setModal(boolean modal)

  - ### getHeadingLevel

    public int getHeadingLevel()

  - ### setHeadingLevel

    public AccessibilityNode setHeadingLevel(int level)

  - ### getSortKey

    public double getSortKey()

  - ### setSortKey

    public AccessibilityNode setSortKey(double sortKey)

  - ### getTraversalBefore

    public Component getTraversalBefore()

  - ### setTraversalBefore

    public AccessibilityNode setTraversalBefore(Component component)

  - ### getTraversalAfter

    public Component getTraversalAfter()

  - ### setTraversalAfter

    public AccessibilityNode setTraversalAfter(Component component)

  - ### addAction

    public AccessibilityNode addAction(AccessibilityAction action)

  - ### removeAction

    public AccessibilityNode removeAction(String id)

  - ### getActions

    public List<AccessibilityAction> getActions()

  - ### addChild

    public AccessibilityNode addChild(AccessibilityNode child)

  - ### clearChildren

    public AccessibilityNode clearChildren()

  - ### getChildren

    public List<AccessibilityNode> getChildren()

  - ### hasExplicitConfiguration

    public boolean hasExplicitConfiguration()